APIMCPs

List MCP health problems

Every MCP that some users could not reach in the last 24 hours, for marking them in a list. MCPs with nothing to report are left out. Names no users, but reads the audit trail.

GET
/mcps/health

Every MCP that some users could not reach in the last 24 hours, for marking them in a list. MCPs with nothing to report are left out. Names no users, but reads the audit trail.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_audit

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/mcps/health'
Example Response
{  "items": [    {      "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb",      "state": "ok",      "failing_user_count": 0,      "reason": "id_jag"    }  ]}